Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.util 6.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide
Class ServiceType

    java.lang.Object
      org.openide.ServiceType

All Implemented Interfaces:
  Serializable, HelpCtx.Provider

Deprecated. The prefered way to register and lookup services is now `Lookup` as described in services registration and lookup page.

    public abstract class ServiceType

extends Object
implements Serializable, HelpCtx.Provider

This class represents an abstract subclass for services (compilation, execution, debugging, etc.) that can be registered in the system.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `ServiceType.Handle` Deprecated. The prefered way to register and lookup services is now `Lookup` as described in services registration and lookup page.
`static class` | `ServiceType.Registry` Deprecated. Use lookup instead.

Field Summary
`static String` | `PROP_NAME` Deprecated. Name of property for the name of the service type.

Constructor Summary
`ServiceType()` Deprecated.

Method Summary
`void` | `addPropertyChangeListener(PropertyChangeListener l)` Deprecated. Add a property change listener.
`protected Object` | `clone()` Deprecated. Service instance files should instead be copied in order to clone them.
`ServiceType` | `createClone()` Deprecated. Service instance files should instead be copied in order to clone them.
`protected String` | `displayName()` Deprecated. Default human-presentable name of the service type.
`protected void` | `firePropertyChange(String name, Object o, Object n)` Deprecated. Fire information about change of a property in the service type.
`abstract HelpCtx` | `getHelpCtx()` Deprecated. Get context help for this service type.
`String` | `getName()` Deprecated. Get the name of the service type.
`void` | `removePropertyChangeListener(PropertyChangeListener l)` Deprecated. Remove a property change listener.
`void` | `setName(String name)` Deprecated. Set the name of the service type.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_NAME

    public static final String PROP_NAME

  Deprecated.
  Name of property for the name of the service type.

  See Also:
    Constant Field Values

Constructor Detail

### ServiceType

    public ServiceType()

  Deprecated.

Method Detail

### displayName

    protected String displayName()

  Deprecated.
  Default human-presentable name of the service type. In the default implementation, taken from the bean descriptor.

  Returns:
    initial value of the human-presentable name
  See Also:
    `FeatureDescriptor.getDisplayName()`

### createClone

    public final ServiceType createClone()

  Deprecated. Service instance files should instead be copied in order to clone them.

  Method that creates a cloned instance of this object. Subclasses are encouraged to implement the `Cloneable` interface, in such case the `clone` method is called as a result of calling this method. If the subclass does not implement `Cloneable`, it is serialized and deserialized, thus new instance created.

  Returns:
    new instance
  Throws:
    `IllegalStateException` - if something goes wrong, but should not happen

### clone

    protected Object clone()
                    throws CloneNotSupportedException

  Deprecated. Service instance files should instead be copied in order to clone them.

  Correctly implements the clone operation on this object. In order to work really correctly, the subclass has to implement the Cloneable interface.

  Overrides:
    `clone` in class `Object`
  Returns:
    a new cloned instance that does not have any listeners
  Throws:
    `CloneNotSupportedException`

### setName

    public void setName(String name)

  Deprecated.
  Set the name of the service type. Usually it suffices to override `displayName()`, or just to provide a `BeanDescriptor` for the class.

  Parameters:
    `name` - the new human-presentable name

### getName

    public String getName()

  Deprecated.
  Get the name of the service type. The default value is given by `displayName()`.

  Returns:
    a human-presentable name for the service type

### getHelpCtx

    public abstract HelpCtx getHelpCtx()

  Deprecated.
  Get context help for this service type.

  Specified by:
    `getHelpCtx` in interface `HelpCtx.Provider`
  Returns:
    context help

### addPropertyChangeListener

    public final void addPropertyChangeListener(PropertyChangeListener l)

  Deprecated.
  Add a property change listener.

  Parameters:
    `l` - the listener to add

### removePropertyChangeListener

    public final void removePropertyChangeListener(PropertyChangeListener l)

  Deprecated.
  Remove a property change listener.

  Parameters:
    `l` - the listener to remove

### firePropertyChange

    protected final void firePropertyChange(String name,
                                            Object o,
                                            Object n)

  Deprecated.
  Fire information about change of a property in the service type.

  Parameters:
    `name` - name of the property
    `o` - old value
    `n` - new value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.util 6.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.